# -*- coding: utf-8 -*-
# Generated by Django 1.11.9 on 2020-07-04 17:06
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Course',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128, verbose_name='\u540d\u79f0')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('is_active', models.BooleanField(default=False, verbose_name='\u6709\u6548')),
                ('balance', models.PositiveSmallIntegerField(default=0, verbose_name='\u5269\u4f59\u8bfe\u65f6')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='mytraining_courses', to=settings.AUTH_USER_MODEL, verbose_name='user')),
            ],
            options={
                'ordering': ('-is_active', '-create_time'),
                'verbose_name': '\u8bfe\u7a0b',
                'verbose_name_plural': '\u8bfe\u7a0b',
            },
        ),
        migrations.CreateModel(
            name='Transaction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.PositiveIntegerField(choices=[(1, '\u5b58\u5165'), (2, '\u53d6\u51fa')], verbose_name='\u7c7b\u522b')),
                ('amount', models.PositiveSmallIntegerField(default=1, verbose_name='\u6570\u91cf')),
                ('balance', models.PositiveSmallIntegerField(verbose_name='\u4f59\u989d')),
                ('memo', models.CharField(blank=True, default='', max_length=255, verbose_name='\u5907\u6ce8')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('trans_date', models.DateField(verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('course', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='transations', to='mytraining.Course', verbose_name='\u8bfe\u7a0b')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='mytraining_transations', to=settings.AUTH_USER_MODEL, verbose_name='user')),
            ],
            options={
                'ordering': ('-create_time',),
                'verbose_name': '\u4ea4\u6613',
                'verbose_name_plural': '\u4ea4\u6613',
            },
        ),
        migrations.AlterUniqueTogether(
            name='transaction',
            unique_together=set([('user', 'course', 'type', 'trans_date')]),
        ),
    ]
